function Create(self)
	self.Life = Timer()
	self.timing = RangeRand(1500, 2000)
	
	if not UAVMines then
		UAVMines = {}
		UAVMineCtrl = self
		self.Ctrl = true
	end
	
	table.insert(UAVMines, self)
end

function Destroy(self)
	if self.Ctrl then
		UAVMineCtrl = nil
	end
end

function Update(self)
	self:NotResting()
	
	if self.Life:IsPastSimMS(self.timing) then
		self.Life:Reset()
		
		if self.Ctrl then
			self.timing = 300
			for Act in MovableMan.Actors do
				for i, Mine in ipairs(UAVMines) do
					if MovableMan:ValidMO(Mine) and UAVMineCtrl.PresetName == "Proximity Mine" then
						if SceneMan:ShortestDistance(Mine.Pos, Act.Pos, false).Magnitude < 60 then
							local Charge = CreateMOSRotating("Mine Charge", "Air Support.rte")
							if Charge then
								Charge.Pos = Mine.Pos + Vector(0, -3)
								Charge.Vel = Vector(0, -15)
								MovableMan:AddParticle(Charge)
							end
							
							Mine:GibThis()
							self.timing = 100
							table.remove(UAVMines, i)
							return
						end
					else
						self.timing = 100
						table.remove(UAVMines, i)
						return
					end
				end
			end
		elseif not MovableMan:ValidMO(UAVMineCtrl) or UAVMineCtrl.PresetName ~= "Proximity Mine" then
			UAVMineCtrl = self
			self.Ctrl = true
		end
	end
end