function Create(self)
	self.Life = Timer()

	-- Avoid hitting the ground by arcing the missile slightly
	local Vel = Vector(self.Vel.X, self.Vel.Y)
	if self.RotAngle > 1.57 or self.RotAngle < -1.57 then
		self.Vel = self.Vel - Vel.Perpendicular/8
	else
		self.Vel = self.Vel + Vel.Perpendicular/8
	end
end

function Update(self)
	if self.Life:IsPastSimMS(120) then
		self.ToDelete = true	-- Remove without spawning gibs
		self.HitsMOs = false
		self.GetsHitByMOs = false
		
		local Rocket = CreateAEmitter("Particle Coalition Rocket Launcher.", "Air Support.rte")
		if Rocket then
			Rocket.Pos = self.Pos
			Rocket.Vel = self.Vel
			Rocket.RotAngle = self.RotAngle
			MovableMan:AddParticle(Rocket)
		end
	end
end