-- The turret control unit make sure that only one turret loop through MovableMan.Actors each frame

function Create(self)
	self.moveToken = 5
	
	if not UAV then
		UAV = {}
	end
	
	if not UAV.Turrets then
		UAV.Turrets = {}
		UAV.TrtCtrl = {}
		UAV.noTurrets = 0
		UAV.Token = 0
		UAV.maxTurret = 0
	end
end

function Destroy(self)
	UAV.TrtCtrl[self.Team] = false
	if self.inControl then
		UAV.Token = 0
	end
end

function Update(self)
	if self.inControl then
		if self.moveToken < 1 then
			self.moveToken = math.max(8 - UAV.noTurrets, 0)
			if UAV.noTurrets > 0 then
				UAV.Token = UAV.Token + 1
				if UAV.Token > UAV.maxTurret then
					UAV.Token = 0
				end
			end
		else
			self.moveToken = self.moveToken - 1
		end
	else
		if not UAV.TrtCtrl[self.Team] then
			UAV.TrtCtrl[self.Team] = true
			self.inControl = true
		end
	end
end