local tmp = package.path
package.path = package.path .. ";Air Support.rte/?.lua"
require("common")
package.path = tmp

function Create(self)
	UAV.Initialize(self)
	
	-- specific for this craft
	self.payload = 4
	self.bomb = "Cluster Bomb"
	self.payloadRof = 210	-- time in ms between drops
	
	if self.payload > 2 then
		self.Frame = 0
	elseif self.payload > 0 then
		self.Frame = 1
	end
end

function Destroy(self)
	UAV.Destroy(self)
end

function Update(self)
	UAV.Move(self)
	
	if self:IsPlayerControlled() then
		UAV.PlayerControlled(self)
		UAV.Map(self)
		
		-- MGs
		if self.Ctrl:IsState(Controller.PRIMARY_ACTION) then
			if self.ammo > 0 then
				UAV.FireMG(self)
			else
				UAV.AddIcon(self, CreateMOSParticle("No Ammo", "Air Support.rte"), 5)
			end
		end
		
		-- Specific for this craft
		if self.DropTimer:IsPastSimMS(self.payloadRof) and self.Ctrl:IsState(self.secondary) then
			if self.payload > 0 then
				self.DropTimer:Reset()
				UAV.DropBomb(self)
				self:AddInventoryItem(CreateHDFirearm(".", "Air Support.rte"))	-- Negative Gold
				self:AddInventoryItem(CreateHDFirearm(".", "Air Support.rte"))	-- Negative Gold
				
				-- Draw Bombs
				if self.payload > 2 then
					self.Frame = 0
				elseif self.payload > 0 then
					self.Frame = 1
				else
					self.Frame = 2
				end
			else
				UAV.AddIcon(self, CreateMOSParticle("No Ammo", "Air Support.rte"), 5)
			end
		end
	elseif self.playerCtrl then
		UAV.Destroy(self)
	end
end