function Create(self)
	self.Life = Timer()
	self.Update = Timer()
	self.notMoving = 0
end

function Update(self)
	if math.abs(self.AngularVel) > 18 then
		self.AngularVel = self.AngularVel * 0.9
	end
	
	if self.Update:IsPastSimMS(400) then
		self.Update:Reset()
		if math.abs(self.AngularVel) < 1.2 or self.Vel.Magnitude < 5 then
			self.notMoving = self.notMoving + 1
			if self.notMoving > 2 then
				DetonateBallBomb(self)
			end
		else
			self.notMoving = 0
		end
	elseif self.Life:IsPastSimMS(18000) then
		DetonateBallBomb(self)
	end
end

function DetonateBallBomb(self)
	for Act in MovableMan.Actors do
		if Act.ClassName == "ADoor" and (self.Pos - Act.Pos).Magnitude < 35 then
			Act:GibThis()
		end
	end
	
	local Warhead = CreateMOSRotating("Ball Bomb Explosives")
	Warhead.Pos = self.Pos
	Warhead.Vel = self.Vel
	MovableMan:AddParticle(Warhead)
	
	Warhead = CreateMOSRotating("Ball Bomb Warhead")
	Warhead.Pos = self.Pos
	Warhead.Vel = self.Vel
	MovableMan:AddParticle(Warhead)
	
	self.ToDelete = true	-- remove without spawning gibs
end