function Create(self)
	self.Life = Timer()
	self.timing = 400
	
	if not UAV.Ordnance then
		UAV.Ordnance = {}
	end
	
	self.index = #UAV.Ordnance + 1
	UAV.Ordnance[self.index] = self
end

function Destroy(self)
	if self.index and UAV.Ordnance then
		UAV.Ordnance[self.index] = nil
	end
end

function Update(self)
	if self.Life:IsPastSimMS(self.timing) then
		self.Life:Reset()
		if self.Vel.Y > 20 then
			self.timing = 33
		else
			self.timing = 67
		end
		
		if SceneMan:FindAltitude(self.Pos, 400, 4) < self.Vel.Y*9 then
			self:GibThis()
			local Bomblet = nil
			for i = 1, 8 do
				Bomblet = CreateMOSRotating("Bomblet", "Air Support.rte")
				Bomblet.Pos = self.Pos + self:RotateOffset(Vector(-15+i*3, 0))
				Bomblet.Vel = UAV.Offset(self.Vel/2, self.RotAngle + SelectRand(-3.34,0.2), SelectRand(-8,12))
				MovableMan:AddParticle(Bomblet)
			end
		end
	end
end