function Create(self)
	local Parent = MovableMan:GetRootMOID(SceneMan:GetMOIDPixel(self.Pos.X, self.Pos.Y))
	if Parent then
		local Parent = MovableMan:GetMOFromID(Parent)
		if Parent then
			local Pt = CreateMOSRotating("Coalition Flak Shell.", "Air Support.rte")
			if Pt then
				Parent = ToActor(Parent)
				local ang = Parent:GetAimAngle(true)
				Pt.Pos = self.Pos + Vector(20,0):RadRotate(ang)
				Pt.Sharpness = (SceneMan:ShortestDistance(Pt.Pos, Parent.ViewPoint, false).Magnitude-80) * 0.667	-- Time to target in ms
				
				if Parent:GetController():IsState(Controller.AIM_SHARP) then
					Pt.Vel = Parent.Vel + Vector(75,0):RadRotate(ang + RangeRand(-0.05, 0.05))
				else	-- Hip fire
					Pt.Vel = Parent.Vel + Vector(75,0):RadRotate(ang + RangeRand(-0.07, 0.07))
				end
				
				Pt:SetWhichMOToNotHit(Parent, -1)
				MovableMan:AddParticle(Pt)
			end
		end
	end
end