function Create(self)
	self.Life = Timer()
	self.timing = 150
	self.Team = -1
	
	-- Find the parent
	local Trace = Vector(self.Vel.X, self.Vel.Y):RadRotate(3.1415)
	local hitID = SceneMan:CastMORay(self.Pos, Trace, self.ID, -1, true, 2)
	if hitID < 255 then
		local parentID = MovableMan:GetRootMOID(hitID)
		local Parent = ToAHuman(MovableMan:GetMOFromID(parentID))
		if Parent then
			self.Team = Parent.Team
		end
	end
	
	-- Avoid hitting the ground by arcing the missile slightly
	local Vel = Vector(self.Vel.X, self.Vel.Y)
	if self.RotAngle > 1.57 or self.RotAngle < -1.57 then
		self.Vel = self.Vel - Vel.Perpendicular/4
	else
		self.Vel = self.Vel + Vel.Perpendicular/4
	end
end

function Update(self)
	if self.Life:IsPastSimMS(self.timing) then
		self.ToDelete = true	-- Remove without spawning gibs
		self.HitsMOs = false
		self.GetsHitByMOs = false
		
		local Missile = CreateAEmitter("Particle Coalition Missile Launcher.", "Air Support.rte")
		if Missile then
			Missile.Pos = self.Pos
			Missile.Vel = self.Vel
			Missile.Team = self.Team
			Missile.RotAngle = self.RotAngle
			MovableMan:AddParticle(Missile)
		end
	end
end